Subject: bug#52564: Errors building pgtk in Fedora 34 & 35 using --with-xwidgets

From: Sebastián Monía <[email-masked]>
Date: Thu, 30 Dec 2021 22:33:58 +0000

It builds OK!
For some reason it stopped reporting the monitors by name when I run (frame-monitor-attributes), using XWAYLAND0, XWAYLAND1, etc. instead. But I don't think that is related to the build process at all.

Thank you!!!

________________________________
From: Po Lu <[email-masked]>
Sent: Tuesday, December 28, 2021 7:10 PM
To: Sebastián Monía <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: bug#52564: Errors building pgtk in Fedora 34 & 35 using --with-xwidgets

Sebastián Monía <[email-masked]> writes:

> Hello!
>
> Building Emacs pgtk branch, I get compilation errors running
> make. Started using Fedora 34, but upgraded to Fedora 35 in case I had
> something outdated but still, same problem. A bunch of the compilation
> errors refer to the same structs/data types so I have a sample of one
> of each (but maybe I missed one "type"):

xwidgets are now supported on PGTK, so please test.

Thanks in advance.